using DevDisciples.Parsing;

namespace DevDisciples.Json.Parser;

public struct JsonNumber : ISyntaxNode
{
    public Lexer<JsonToken>.Token Token { get; }
    public double Value => double.TryParse(Token.Lexeme.Replace('.', ','), out var val) ? val : default;

    public JsonNumber(Lexer<JsonToken>.Token token)
    {
        Token = token;
    }
}