using DevDisciples.Parsing;

namespace DevDisciples.Json.Parser;

public struct JsonString : ISyntaxNode
{
    public Lexer<JsonToken>.Token Token { get; }
    public string Value => Token.Lexeme;

    public JsonString(Lexer<JsonToken>.Token token)
    {
        Token = token;
    }
}