using DevDisciples.Parsing;

namespace DevDisciples.Json.Parser;

public struct JsonArray : ISyntaxNode
{
    public Lexer<JsonToken>.Token Token { get; }
    public List<ISyntaxNode> Elements { get; }

    public JsonArray(Lexer<JsonToken>.Token token, List<ISyntaxNode>? elements)
    {
        Token = token;
        Elements = elements ?? new();
    }
}