using DevDisciples.Parsing;

namespace DevDisciples.Json.Parser;

public struct JsonBool : ISyntaxNode
{
    public Lexer<JsonToken>.Token Token { get; }
    public bool Value => bool.TryParse(Token.Lexeme, out var val) && val;

    public JsonBool(Lexer<JsonToken>.Token token)
    {
        Token = token;
    }
}