using DevDisciples.Parsing;

namespace DevDisciples.Json.Parser;

public struct JsonObject : ISyntaxNode
{
    public Lexer<JsonToken>.Token Token { get; }
    public Dictionary<string, ISyntaxNode> Properties { get; set; }

    public JsonObject(Lexer<JsonToken>.Token token, Dictionary<string, ISyntaxNode>? properties)
    {
        Token = token;
        Properties = properties ?? new();
    }
}