﻿using System.CommandLine;

namespace DevDisciples.Json.Tools.CLI.Extensions;

public static class CommandExtensions
{
    public static void AddIOCommandOptions(this Command command)
    {
        command.AddOption(SharedCommandOptions.InputOption);
        command.AddOption(SharedCommandOptions.InputFileOption);
        command.AddOption(SharedCommandOptions.OutputOption);
        command.AddOption(SharedCommandOptions.OutputFileOption);

        command.AddArgument(SharedCommandOptions.InputArgument);
    }
}