﻿using System.CommandLine.Binding;
using DevDisciples.Json.Tools.CLI.Extensions;

namespace DevDisciples.Json.Tools.CLI;

public partial class JsonPrettifyCommand
{
    public class CommandOptionsBinder : BinderBase<CommandOptions>
    {
        protected override CommandOptions GetBoundValue(BindingContext context) =>
            new CommandOptions
            {
                IndentSize = context.ParseResult.GetValueForOption(IndentSizeOption)
            }.WithCommonBindings(context);
    }
}