﻿using DevDisciples.Json.Parser;
using DevDisciples.Parsing;

namespace DevDisciples.Json.Tools;

public static partial class Json2CSharpTranslator
{
    public static class JsonStringTranslator
    {
        public static ITranslation Translate(ISyntaxNode visitee, object[] args)
        {
            var @string = (JsonString)visitee;
            var type = DateTime.TryParse(@string.Value, out _) ? "DateTime" : "string";

            return new PropertyTranslation
            {
                Type = type,
                Name = NameFromArgs(args),
            };
        }
    }
}